Skip to content
Branch: master
Find file History

Latest commit

arcanis Releasing 11 new packages
| Package name | Version |
| --- | --- |
| `@yarnpkg/cli` | `2.0.0-rc.31` |
| `@yarnpkg/plugin-node-modules` | `2.0.0-rc.8` |
| `@yarnpkg/plugin-compat` | `2.0.0-rc.9` |
| `@yarnpkg/plugin-essentials` | `2.0.0-rc.25` |
| `@yarnpkg/plugin-npm` | `2.0.0-rc.17` |
| `@yarnpkg/plugin-pnp` | `2.0.0-rc.19` |
| `@yarnpkg/pnpify` | `2.0.0-rc.20` |
| `@yarnpkg/plugin-patch` | `2.0.0-rc.6` |
| `@yarnpkg/core` | `2.0.0-rc.25` |
| `@yarnpkg/plugin-pack` | `2.0.0-rc.19` |
| `@yarnpkg/plugin-constraints` | `2.0.0-rc.13` |
Latest commit a64c1ba Mar 25, 2020

Files

Permalink
Type Name Latest commit message Commit time
..
Failed to load latest commit information.
bin/@yarnpkg Releasing 17 new packages Feb 11, 2020
sources ts plugin: only install when not provided (#688) Jan 17, 2020
README.md ts plugin: only install when not provided (#688) Jan 17, 2020
package.json Releasing 11 new packages Mar 25, 2020

README.md

@yarnpkg/plugin-typescript

This plugin automatically adds @types/ packages into your dependencies when you add a package that doesn't include its own types.

Install

yarn plugin import typescript

Example

❯ yarn/packages/plugin-typescript ❯ yarn add lodash

➀ BR0000: β”Œ Resolution step
➀ BR0002: β”‚ babel-preset-jest@npm:24.1.0 doesn't provide @babel/core@^7.0.0-0 requested by @babel/plugin-syntax-object-rest-spread@npm:7.2.0
➀ BR0000: β”” Completed in 0.24s
➀ BR0000: β”Œ Fetch step
➀ BR0013: β”‚ @types/lodash@npm:4.14.121 can't be found in the cache and will be fetched from the remote registry
➀ BR0000: β”” Completed in 3.63s
➀ BR0000: β”Œ Link step
➀ BR0005: β”‚ webpack-cli@npm:3.2.1 lists build scripts, but its build has been explicitly disabled through configuration.
➀ BR0005: β”‚ fsevents@npm:1.2.6 lists build scripts, but its build has been explicitly disabled through configuration.
➀ BR0005: β”‚ webpack-cli@npm:3.2.1 lists build scripts, but its build has been explicitly disabled through configuration.
➀ BR0005: β”‚ webpack-cli@npm:3.2.1 lists build scripts, but its build has been explicitly disabled through configuration.
➀ BR0000: β”” Completed in 2.75s
➀ BR0000: Done with warnings in 6.81s

As you can see in the fetch step, even though we only added lodash into our dependencies, Yarn automatically figured out that we would need @types/lodash, and added it before we ask it to.

You can’t perform that action at this time.